# Errors

Class of system errors

## Constructor

#### new Errors()

Source:
  - utils/errors.js, line 8

### Members

#### (static) ILLEGAL_PARAMETERS

Throw error ILLEGAL_PARAMETERS when cannot instantiate from given parameter

Source:
  - utils/errors.js, line 13

#### (static) INFINITE_LOOP

Error to throw from LinkedList:testInfiniteLoop static method in case when circular loop detected in linked list

Source:
  - utils/errors.js, line 38

#### (static) UNRESOLVED_BOUNDARY_CONFLICT

Error to throw from BooleanOperations module in case when fixBoundaryConflicts not capable to fix it

Source:
  - utils/errors.js, line 29

#### (static) ZERO_DIVISION

Throw error ZERO_DIVISION to catch situation of zero division

Source:
  - utils/errors.js, line 21